> ## Documentation Index
> Fetch the complete documentation index at: https://docs.compasslabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Reserve Overview

> Returns key metrics for Aave Reserves:
- Total Supplied (TVL) in USD
- Total Borrowed in USD
- Utilization Ratio

See below for more info:



## OpenAPI

````yaml /v1/combined_spec.json get /v1/aave/reserve_overview
openapi: 3.1.0
info:
  title: Compass API
  description: Compass Labs DeFi API
  version: 0.0.1
servers:
  - url: https://api.compasslabs.ai
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /v1/aave/reserve_overview:
    get:
      tags:
        - Aave V3
      summary: Reserve Overview
      description: |-
        Returns key metrics for Aave Reserves:
        - Total Supplied (TVL) in USD
        - Total Borrowed in USD
        - Utilization Ratio

        See below for more info:
      operationId: v1_aave_reserve_overview
      parameters:
        - name: chain
          in: query
          required: true
          schema:
            type: string
            enum:
              - arbitrum
              - base
              - ethereum
            title: Chain
            default: arbitrum
        - name: block
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Block
          description: Optional block number (defaults to latest).
        - name: token
          in: query
          required: true
          schema:
            type: string
            title: Token
            description: >-
              A token identifier - either a supported symbol (e.g., USDC, WETH)
              or a valid Ethereum address (0x...)
            examples:
              - USDC
              - WETH
              - '0xA0b86a33E6441ccF30EE5DdEF1E9b652C91ac1c8'
            default: USDC
          description: The symbol or address of the asset..
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AaveReserveOverviewResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from compass_api_sdk import CompassAPI, models


            with CompassAPI(
                api_key_auth="<YOUR_API_KEY_HERE>",
            ) as compass_api:

                res = compass_api.aave_v3.aave_reserve_overview(chain=models.V1AaveReserveOverviewChain.ARBITRUM, token="USDC")

                # Handle response
                print(res)
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { CompassApiSDK } from "@compass-labs/api-sdk";

            const compassApiSDK = new CompassApiSDK({
              apiKeyAuth: "<YOUR_API_KEY_HERE>",
            });

            async function run() {
              const result = await compassApiSDK.aaveV3.aaveReserveOverview({
                chain: "arbitrum",
                token: "USDC",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    AaveReserveOverviewResponse:
      properties:
        tvl:
          type: number
          minimum: 0
          title: Tvl
          description: >-
            Total tokens supplied in an Aave Reserve in USD. E.G. How much WBTC
            has been supplied on Aave in USD.
        total_borrowed:
          type: number
          minimum: 0
          title: Total Borrowed
          description: >-
            Total tokens borrowed in an Aave Reserve converted to USD. E.G. How
            much WBTC has been supplied on Aave (in USD).
        utilization_ratio:
          anyOf:
            - type: number
              maximum: 1
              minimum: 0
            - type: 'null'
          title: Utilization Ratio
          description: >-
            Total borrowed divided by total supplied in an Aave Reserve. E.G.
            How much WBTC has been borrowed on Aaave divided by the amount
            supplied
      type: object
      required:
        - tvl
        - total_borrowed
        - utilization_ratio
      title: AaveReserveOverviewResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Your Compass API Key. Get your key
        [here](https://www.compasslabs.ai/dashboard).

````